{% extends "login_app/layout.html" %}

{% load static %}
{% load crispy_forms_tags %}

{% block page_title %}Demo Login{% endblock %}
{% block page_name %}{% endblock %}

{% block content %}
  <form class="form-horizontal" method="post">
      <!-- CSRF -->
      {% csrf_token %}

      <!-- Form -->
      <div>
          {{ form.username.errors }}
          {{ form.username|as_crispy_field }}
      </div>
      <div>
          {{ form.password.errors }}
          {{ form.password|as_crispy_field }}
      </div>

      <!-- Messages -->
      {% if messages %}
      <ul>
          {% for message in messages %}
          <li{% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ message }}</li>
              {% endfor %}
      </ul>
      {% endif %}

      <!-- Form Errors -->
      {% if form.non_field_errors %}
      <ul>
          {% for error in form.non_field_errors %}
          <li class="error">{{ error }}</li>
          {% endfor %}
      </ul>
      {% endif %}

      <!-- Submit Button -->
      <button type="submit" class="btn btn-primary">Login</button>
  </form>
{% endblock %}
